<template>
  <div id="app">
    <mu-container>
      <mu-row gutter>
        <mu-col span="12" lg="4">
          <PiezoCallibrationTool
            sensor="A5"
            :drum="DrumTypes.Kick"
            :socket="socket"
          />
        </mu-col>
        <mu-col span="12" lg="4">
          <PiezoCallibrationTool
            sensor="A1"
            :drum="DrumTypes.HighTom"
            :socket="socket"
          />
        </mu-col>
        <mu-col span="12" lg="4">
          <PiezoCallibrationTool
            sensor="A0"
            pedalSensor="D2"
            :drum="DrumTypes.HiHat"
            :socket="socket"
          />
        </mu-col>
        <mu-col span="12" lg="4">
          <PiezoCallibrationTool
            sensor="A3"
            :drum="DrumTypes.Ride"
            :socket="socket"
          />
        </mu-col>
        <mu-col span="12" lg="4">
          <PiezoCallibrationTool
            sensor="A4"
            :drum="DrumTypes.Crash"
            :socket="socket"
          />
        </mu-col>
        <mu-col span="12" lg="4">
          <PiezoCallibrationTool
            sensor="A2"
            :drum="DrumTypes.Snare"
            :socket="socket"
          />
        </mu-col>
      </mu-row>
    </mu-container>
  </div>
</template>

<script lang="ts">
import { DrumKitPlayer, DrumTypes } from "./DrumKitPlayer";
import Vue from "vue";
import { defineComponent } from "@vue/composition-api";
import PiezoCallibrationTool from "./components/PiezoCallibrationTool.vue";
import MuseUI from "muse-ui";
import "muse-ui/dist/muse-ui.css";
Vue.use(MuseUI);
import io from "socket.io-client";

const socket = io("http://localhost:333");
export default defineComponent({
  components: {
    PiezoCallibrationTool,
  },
  setup() {
    return { DrumTypes, socket };
  },
});
</script>
<style>
html,
body {
  margin: 0;
  padding: 0;
}
canvas {
  width: 100%;
}
.p-1 {
  padding: 8px;
}
.py-1 {
  padding: 8px 0;
}
.m-0 {
  margin: 0;
}
.mb-0 {
  margin-bottom: 0;
}
.my-0 {
  margin: 0 0;
}
.mb-1 {
  margin-bottom: 8px;
}
.mb-2 {
  margin-bottom: 16px;
}
.my-1 {
  margin: 8px 0;
}
.px-1 {
  padding: 0 8px;
}
</style>
